
/* CLIMA HEADER */
.weather-container {
    width: auto;
    padding: 0px;
    margin: 0;
    text-align: center;
    display: flex;
    color: #fff;
    background-color: #000;
}
#current-weather-info{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    text-align: center;
    padding: 5px;
}
.temp{
    display: flex;
    justify-content: center;
    align-items: center;
}
.weather-container img{
    width: 50px;
}

/* CONTEUDO MODAL */
.acrapdo{
    width: 70px;
    height: 70px;
    background: radial-gradient( #cccccca9, #00000027);
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    text-decoration: none;
    margin: 7px;
    color: #fff;
}
.acrapdo:hover{
    transform: scale(1.2);
    background: radial-gradient( #ddd, #00000027);
    color: #000;
}
.acrapdo i{
    font-size: 30px;
}

/* SLIDER NOVO */
.slidernovo{
    position: relative;
    height: 70vh; /* Altura da seção */
    overflow: hidden;
}
.slidernovo .bg{
    background-color: #00001436;
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}
.slidernovo .video-background {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
    z-index: -1;
}
.slidernovo .content {
    position: relative;
    z-index: 1;
    color: white;
    text-align: center;
    padding: 20px;
}
.slidernovo .content h1{
    font-size: 70px;
    font-weight: bold;
}
.slidernovo .content h3{
    font-size: 36px;
    font-weight: 400;
}
.slidernovo .content a{
    text-decoration: none;
    color: #fff;
    text-align: center;
    display: flex;
    align-items: center;
    justify-content: center;
}
.slidernovo .content a .btn{
    border: 3px solid #fff;
    border-radius: 50px;
    padding: 10px 20px;
    font-size: 18pt;
}
.slidernovo .content a .btn:hover{
    background-color: #fff;
    color: rgb(0, 67, 192);
    font-weight: 700;
}

/* STORIES NOVO */
#destaques{
    background: #003479;
    text-align: center;
    color: #fff;
    font-weight: 700;
    font-size: 20pt;
}

#modal-media{
    width: 100%;
}
.stories-container {
    display: flex;
    flex-wrap: nowrap;
    overflow-x: auto; /* Barra de rolagem horizontal se necessário */
    -webkit-overflow-scrolling: touch; /* Scroll suave em dispositivos iOS */
    cursor: grab; /* Cursor de mão para arrastar */
    background: linear-gradient(#003479, #000d31);
    padding: 1em;
}

.story-container {
    display: inline-block;
    margin-right: 10px; /* Espaçamento entre os stories */
    color: #fff;
}

.campo{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    text-align: center;
}
.story-circle {
    width: 100px; /* Largura do story-circle */
    height: 100px; /* Altura do story-circle */
    background-size: cover;
    background-position: center;
    border-radius: 50%;
    cursor: pointer;
    margin-bottom: 5px; /* Espaçamento inferior do story-circle */
}

.story-circle.add-story {
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: #ccc;
}

.story-circle.add-story p {
    margin: 0;
    font-size: 14px;
    text-align: center;
    width: 100px;
}

.empresa-name {
    text-align: center;
}

#close-button {
    position: absolute;
    top: 10px;
    right: 10px;
    cursor: pointer;
    background: none;
    border: none;
    font-size: 20px;
    color: #999;
}

#close-button:hover {
    color: #555;
}

#modal {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.8);
    justify-content: center;
    align-items: center;
    z-index: 99;
}

#modal-content {
    position: relative;
    background-color: #fff;
    padding: 20px;
    border-radius: 10px;
    max-width: 600px;
    width: 90%;
    max-height: 80%;
    overflow-y: auto;
}

#modal img, #modal video {
    max-width: 100%;
    max-height: 80vh;
}

#progress-bar-container {
    width: 100%;
    height: 5px;
    background-color: #ccc;
    margin-top: 10px;
}

#progress-bar {
    height: 5px;
    background-color: #76c7c0;
    width: 0%;
}

.nav-button {
    background: none;
    border: none;
    font-size: 20px;
    cursor: pointer;
}

#prev-button {
    left: 10px;
}

#next-button {
    right: 10px;
}

/* ITEM PERFIS */
.all-products{
	display: flex;
	align-items: center;
	justify-content: center;
	flex-wrap: wrap;
}
.product{
	overflow: hidden;
	background: #ffffff;
	color: #21201e;
	text-align: center;
	width: 200px;
	height: 360px;
	padding: 2em;
	display: flex;
	flex-direction: column;
	align-items: center;
	justify-content: center;
	border-radius: 1.2em;
	margin: 1em;
}
.product .product-title{
font-size: 18px;
font-weight: bold;
margin-top: 4px;
margin-bottom: 3px;
}
.product .product-price{
	font-size: 14px;
}
.product:hover img{
	scale:  1.1;
}
.product:hover {
	box-shadow: 5px 15px 25px #eeeeee;
}
.product img {
	height: 200px;
	margin: 1rem;
	transition: all 0.3s;
}
.product a:link, .product a:visited{
	color: #ececec;
	display: inline-block;
	text-decoration: none;
	background-color: #2c3e50;
	padding: 1.2rem 3rem;
	border-radius: 1rem;
	margin-top: 1rem;
	font-size: 14px;
	transition: all 0.2s;
}
.product a:hover{
	transform: scale(1.1);
}
.animals{
list-style:none;
}


/* Ocultar itens (perfis) */
.mais{
    background-color: #000d31;
    padding: 2em 0;
}
.oculto {
    display: none;
}
#show-more-btn{
    padding: 5px 10px;
    border-radius: 50px;
    font-size: 20pt;
    font-weight: 700;
    background: #ff0;
    box-shadow: 0px 5px 10px #000;
    cursor: pointer;
    color: #222;
}
#show-more-btn:hover{
    background: linear-gradient(yellow, orange);
    color: #000;
    box-shadow: none;
}
.btnocult{
    margin-top: 2em;
}

/* VISUALISAR MAIS */
.mais{
    width: 100%;
}
.mais .box {
    background: linear-gradient(#fff, #333);
    border-radius: 10px;
    width: 260px;
    margin: 0 auto;
    position: relative;
    padding: 50px 25px 25px 25px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    }

    .mais .box h1 {
    background: #222;
    color: #fff;
    margin: 0;
    padding: 10px 0;
    text-align: center;
    font-size: 18px;
    position: absolute;
    left: -15px;
    right: -15px;
    top: 15px;
    }

    .mais .box h1:after,
    .mais .box h1:before {
    display: block;
    position: absolute;
    width: 0;
    height: 0;
    content: "";
    top: 100%;

    border-style: solid;
    border-color: transparent;
    }

    .mais .box h1:before {
    left: 0;
    border-width: 0 15px 10px 0;
    border-right-color: #666;
    }

    .mais .box h1:after {
    border-width: 10px 15px 0 0;
    border-top-color: #666;
    right: 0;
    }

/* BOTOES FIXO */
.up a i{
    position: fixed;
    display: flex;
    bottom: 20px;
    right: 20px;
    font-size: 2.5em;
    color: #fff;
    background: rgb(46, 11, 80);
    padding: 5px;
    border-radius: 50%;
    box-shadow: 5px 5px 10px #000;
    z-index: 999;
}
.info a i{
    width: 40px;
    height: 40px;
    position: fixed;
    display: flex;
    bottom: 90px;
    right: 20px;
    font-size: 2.5em;
    color: #fff;
    background:linear-gradient(#dfeca2 10%, #523408 70%, #d9a654);
    padding: 5px;
    border-radius: 50%;
    box-shadow: 5px 5px 10px #000;
    z-index: 999;
}
/* TOOLTIP */
    .tooltip {
    background: rgb(255, 255, 60);
    color: #000;
    font-weight: 700;
    padding: 15px;
    position: relative;
    width: 100px;
    border-radius: 5px;
    box-shadow: 5px 5px 10px #000;
    }

    .tooltip:before {
    border: 10px solid transparent;
    border-right-color: rgb(255, 255, 60);
    content: "";
    left: -20px;
    position: absolute;
    }
.news a {
    position: fixed;
    display: flex;
    bottom: 20px;
    left: 20px;
    text-decoration: none;
    z-index: 999;
    animation-name: animacao;
    animation-duration: 3s;
    animation-iteration-count: infinite;
}
@keyframes animacao{
    0%{ transform: translateX(0px); }
    50%{ transform: translateX(15px);}
    100%{ transform:translateX(0px);}
}

/* Media queries para telas menores */
@media (max-width: 380px) {

    /* STORIES NOVO */
    .story-circle {
        height: 100px; /* Ajuste da altura para 100px */
        width: 100px;
    }
}
@media (max-width: 480px) {
    .fixedgeral{
        display: none;
    }
    /* SLIDER NOVO */
    .slidernovo .content h1{
        font-size: 20pt;
    }
    .slidernovo .content h3{
        font-size: 14pt;
    }
    .slidernovo .content a .btn{
        font-size: 12pt;
    }
}